libpreludedb-dev_1.0.0-2.3_amd64.deb


Advertisement

Description

libpreludedb-dev - Security Information Management System [ Development files ]

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libpreludedb-dev
Package version 1.0.0
Package release 2.3
Package architecture amd64
Package type deb
Installed size 166 B
Download size 90.70 KB
Official Mirror ftp.br.debian.org
Prelude is a Universal "Security Information Management" (SIM) system.
Its goals are performance and modularity. It is divided in two main
parts :
- the Prelude sensors, responsible for generating alerts, such as
snort featuring a signature engine, plugins for
protocol analysis, and intrusion detection plugins, and the Prelude
log monitoring lackey.
- the Prelude report server, collecting data from Prelude sensors,
and generating user-readable reports.
This package contains the development files for PreludeDB components.

Alternatives

Package Version Architecture Repository
libpreludedb-dev_1.0.0-2.3_i386.deb 1.0.0 i386 Debian Main
libpreludedb-dev - - -

Requires

Name Value
libprelude-dev -
libpreludedb0 = 1.0.0-2.3

Download

Type URL
Binary Package libpreludedb-dev_1.0.0-2.3_amd64.deb
Source Package libpreludedb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpreludedb-dev deb package:
    # sudo apt-get install libpreludedb-dev

Files

Path
/usr/bin/libpreludedb-config
/usr/include/libpreludedb/preludedb-error.h
/usr/include/libpreludedb/preludedb-path-selection.h
/usr/include/libpreludedb/preludedb-plugin-format.h
/usr/include/libpreludedb/preludedb-plugin-sql.h
/usr/include/libpreludedb/preludedb-sql-settings.h
/usr/include/libpreludedb/preludedb-sql.h
/usr/include/libpreludedb/preludedb-version.h
/usr/include/libpreludedb/preludedb.h
/usr/lib/libpreludedb.so
/usr/share/doc/libpreludedb-dev/README
/usr/share/doc/libpreludedb-dev/changelog.Debian.gz
/usr/share/doc/libpreludedb-dev/changelog.gz
/usr/share/doc/libpreludedb-dev/copyright

Changelog

2014-08-15 - Andreas Metzler <ametzler@debian.org>
libpreludedb (1.0.0-2.3) unstable; urgency=medium
* Non-maintainer upload.
* Rebuild against GnuTLS v3. Drop build-dependency on libgnutls-dev.
libpreludedb does not use GnuTLS directly and its build-dependency on
libprelude-dev pulls in GnuTLS development packages.
Closes: #754772
2014-08-05 - Ansgar Burchardt <ansgar@debian.org>
libpreludedb (1.0.0-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Force swig to regenerate bindings/perl/PreludeDB.c by removing it
before building and in the clean target. (Closes: #752335)
* Use perl's $Config{vendorarch} instead of /usr/lib/perl5. Thanks
to Niko Tyni for the patch. (Closes: #752336)
2013-05-30 - Luca Falavigna <dktrkranz@debian.org>
libpreludedb (1.0.0-2.1) unstable; urgency=low
* Non-maintainer upload.
* Convert to dh_python2 (Closes: #616869).
* libmissing/stdio.in.h:
- Do not try to warn about gets risks if it is not defined, fix
FTBFS with eglibc 2.17 (Closes: #701403).
2013-03-16 - Pierre Chifflier <pollux@debian.org>
libpreludedb (1.0.0-2) unstable; urgency=low
* Do not ship .la files
* Replace TYPE=InnoDB with ENGINE=InnoDB to match MySQL 5.5
2010-03-16 - Pierre Chifflier <pollux@debian.org>
libpreludedb (1.0.0-1) unstable; urgency=low
* Imported Upstream version 1.0.0
2010-02-26 - Pierre Chifflier <pollux@debian.org>
libpreludedb (1.0.0~rc1-2) unstable; urgency=low
* Bump standards version to 3.8.4
* Rebuild to use libltdl7 (Closes: #571365)
2010-02-02 - Pierre Chifflier <pollux@debian.org>
libpreludedb (1.0.0~rc1-1) unstable; urgency=low
* New upstream release
* Bump standards version to 3.8.3
* Rebuild with support for Python 2.6 (Closes: #531555)
2009-07-28 - Pierre Chifflier <pollux@debian.org>
libpreludedb (0.9.15.3-1) unstable; urgency=low
* New Upstream Version
* Update description (Prelude is a SIM/SIEM, not an IDS)
* Add alternative build-dep on libmysqlclient-dev to build with MySQL 5.1
2009-07-13 - Pierre Chifflier <pollux@debian.org>
libpreludedb (0.9.15.2-1) unstable; urgency=low
* New Upstream Version
* Bump standards version to 3.8.2 (no changes)
* Set debhelper compat version to 5
* Rebuild against libpq 8.4
2009-02-26 - Pierre Chifflier <pollux@debian.org>
libpreludedb (0.9.15.1-3) unstable; urgency=low
* Upload to unstable

See Also

Package Description
libpreludedb-perl_1.0.0-2.3_amd64.deb Security Information Management System [ Base library ]
libpreludedb0_1.0.0-2.3_amd64.deb Security Information Management System [ Base library ]
libpresage-data_0.9-1_all.deb intelligent predictive text entry platform (data files)
libpresage-dev_0.9-1_amd64.deb intelligent predictive text entry platform (development files)
libpresage-doc_0.9-1_all.deb intelligent predictive text entry platform (documentation)
libpresage1_0.9-1_amd64.deb intelligent predictive text entry platform (shared library)
libpri-dev_1.4.15-1_amd64.deb Primary Rate ISDN specification development files
libpri1.4_1.4.15-1_amd64.deb Primary Rate ISDN specification library
libprima-perl_1.28-1.3+b3_amd64.deb multi-platform GUI development toolkit for Perl
libprintsys-dev_0.6-13_amd64.deb printcap parser, helper for gnulpr's printfilters, dev files
libprintsys_0.6-13_amd64.deb printcap parser, helper for gnulpr's printfilters
libprison-dev_1.1.1-1_amd64.deb barcode API for Qt - development files
libprison0_1.1.1-1_amd64.deb barcode API for Qt
libprivileges-drop-perl_1.03-1_all.deb module to make it simple to drop all privileges
libprobe-perl-perl_0.03-1_all.deb module to obtain information about the currently running Perl interpreter
Advertisement
Advertisement